## kdegraphics-trinity 3.5.13.2

=== kcoloredit/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

tde_install_icons( kcoloredit kcolorchooser )

install( FILES
    kcoloredit.desktop kcolorchooser.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR} )

install( FILES
    kcoloreditui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kcoloredit )


#### kcoloredit (executable) ####################

tde_add_executable( kcoloredit AUTOMOC
  SOURCES
    kzcolorselector.cpp imageselection.cpp
    texteditselection.cpp gradientselection.cpp colorselector.cpp
    kxycolorselector.cpp paletteview.cpp paletteviewscrolledarea.cpp
    editablestreamhistory.cpp color.cpp palette.cpp loadpalettedlg.cpp
    kcoloreditview.cpp kcoloreditdoc.cpp kcoloredit.cpp main.cpp
  LINK kio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kcolorchooser (executable) ################

tde_add_executable( kcolorchooser AUTOMOC
  SOURCES kcolorchooser.cpp
  LINK kdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kiconedit/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory ( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

install( FILES kiconedit.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES kiconeditui.rc DESTINATION ${DATA_INSTALL_DIR}/kiconedit )


#### kiconedit (executable) #####################

tde_add_executable( kiconedit AUTOMOC
  SOURCES
    utils.cpp main.cpp kiconedit.cpp kicongrid.cpp
    kiconcolors.cpp kcolorgrid.cpp palettetoolbar.cpp
    kicon.cpp kresize.cpp knew.cpp properties.cpp
    kiconeditslots.cpp kiconconfig.cpp
  LINK kio-shared kdeprint-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== ksnapshot/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_definitions(
  -DKSNAPVERSION="0.7"
)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( ksnapshot )
install( FILES ksnapshot.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### ksnapshot (executable) ####################

tde_add_executable( ksnapshot AUTOMOC
  SOURCES
    ksnapshotiface.skel main.cpp ksnapshot.cpp regiongrabber.cpp
    windowgrabber.cpp ksnapshotwidget.ui
  LINK kdeprint-shared ${XEXT_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kview/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( kimageviewer )
add_subdirectory( config )
add_subdirectory( kviewcanvas )
add_subdirectory( kviewviewer )
add_subdirectory( modules )
add_subdirectory( photobook )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( kview )
install( FILES kview.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES kviewui.rc DESTINATION ${DATA_INSTALL_DIR}/kview )


##### kview (kdeinit) ###########################

tde_add_kdeinit_executable( kview AUTOMOC
  SOURCES kview.cpp main.cpp
  LINK kparts-shared kutils-shared
)

=== kviewshell/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( kviewshell )

add_subdirectory( pics )
add_subdirectory( plugins )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    kmultipageInterface.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )

install( FILES
    anchor.h bookmark.h pageView.h documentPageCache.h
    documentRenderer.h documentWidget.h history.h hyperlink.h
    kmultipage.h length.h pageNumber.h pageSize.h renderedDocumentPage.h
    renderedDocumentPagePixmap.h renderedDocumentPagePrinter.h
    selection.h simplePageSize.h textBox.h zoom.h zoomlimits.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kviewshell )


##### other data ################################

install( FILES kviewshell.rc DESTINATION ${DATA_INSTALL_DIR}/kviewshell )
install( FILES kviewerpart.rc DESTINATION ${DATA_INSTALL_DIR}/kviewerpart )
install( FILES kmultipage.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR} )
install( FILES emptymultipage.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kviewshell.kcfg DESTINATION ${KCFG_INSTALL_DIR} )


##### ifaces (static) ###########################

tde_add_library( ifaces STATIC_PIC AUTOMOC
  SOURCES
    kviewpart_iface.cpp
)


##### kviewshell (static) #######################

tde_add_library( kviewshell STATIC_PIC AUTOMOC
  SOURCES
    kviewshell.cpp
)


##### kmultipage (shared) #######################

tde_add_library( kmultipage SHARED AUTOMOC
  SOURCES
    kmultipage.cpp pageView.cpp marklist.cpp kmultipageInterface.skel
    units.cpp pageSize.cpp simplePageSize.cpp renderedDocumentPage.cpp
    renderedDocumentPagePixmap.cpp renderedDocumentPagePrinter.cpp
    documentPageCache.cpp documentWidget.cpp searchWidget.cpp
    selection.cpp documentRenderer.cpp history.cpp kvsprefs.kcfgc
    tableOfContents.cpp kprintDialogPage_pageoptions.cpp
  VERSION 0.0.0
  LINK kparts-shared kdeprint-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kviewerpart (module) ######################

tde_add_kpart( kviewerpart AUTOMOC
  SOURCES
    kviewpart.cpp pageSizeWidget_base.ui pageSizeWidget.cpp
    pageSizeDialog.cpp pageSize.cpp sizePreview.cpp zoom.cpp
    units.cpp kvsprefs.kcfgc optionDialogGUIWidget_base.ui
    optionDialogAccessibilityWidget.ui simplePageSize.cpp
  LINK ifaces-static kparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kviewshell (executable) ##################

tde_add_executable( kviewshell AUTOMOC
  SOURCES
    main.cpp
  LINK kviewshell-static kparts-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### emptymultipagepart (module) ###############

tde_add_kpart( emptymultipagepart AUTOMOC
  SOURCES
    empty_multipage.cpp emptyRenderer.cpp
  LINK kmultipage-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### install import cmake modules ###############

tde_install_export( )

=== libkscan/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( libkscan )

include( ConfigureChecks.cmake )

add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${SANE_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES scanservice.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


##### kscan (shared) ############################

tde_add_library( kscan SHARED AUTOMOC
  SOURCES
    kscandevice.cpp kscanslider.cpp kgammatable.cpp kscanoption.cpp
    kscanoptset.cpp gammadialog.cpp dispgamma.cpp scansourcedialog.cpp
    scanparams.cpp massscandialog.cpp devselector.cpp scandialog.cpp
    img_canvas.cpp previewer.cpp imgscaledialog.cpp sizeindicator.cpp
    imgscaninfo.cpp
  VERSION 1.0.0
  LINK kio-shared ${SANE_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### install cmake export file #################

tde_install_export( )

=== kfile-plugins/ico/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

install( FILES kfile_ico.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


#### kfile_ico (module) ########################

tde_add_kpart( kfile_ico AUTOMOC
  SOURCES kfile_ico.cpp
  LINK kio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kfile-plugins/pdf/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kfile-plugins/dependencies/poppler-tqt
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

install( FILES kfile_pdf.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


#### kfile_pdf (module) #########################

tde_add_kpart( kfile_pdf AUTOMOC
  SOURCES kfile_pdf.cpp
  LINK kio-shared -L${CMAKE_BINARY_DIR}/kfile-plugins/dependencies/poppler-tqt -lpoppler-tqt
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kfile-plugins/png/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

install( FILES kfile_png.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


#### kfile_png (module) #########################
tde_add_kpart( kfile_png AUTOMOC
  SOURCES kfile_png.cpp
  LINK kio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kfile-plugins/pnm/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

install( FILES kfile_pnm.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


#### kfile_pnm (module) #########################

tde_add_kpart( kfile_pnm AUTOMOC
  SOURCES kfile_pnm.cpp
  LINK kio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kfile-plugins/raw/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

install( FILES kfile_raw.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


#### kfile_raw (module) #########################

tde_add_kpart( kfile_raw AUTOMOC
  SOURCES kcamerarawplugin.cpp parse.c
  LINK kio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kmrml/kmrml/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Calvin Morrison
#  mutantturkey@gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( lib )
add_subdirectory( kcontrol )
add_subdirectory( server )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/lib
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


#### other data #################################

install( FILES mrml.protocol mrml_part.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES mrml.desktop DESTINATION ${MIME_INSTALL_DIR}/text )
install( FILES mrml-servicemenu.desktop DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus )


#### kio_mrml (module) ##########################

tde_add_kpart( kio_mrml AUTOMOC
  SOURCES mrml.cpp
  LINK kmrmlstuff-static kio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkmrmlpart (module) #######################

tde_add_kpart( libkmrmlpart AUTOMOC
  SOURCES
    mrml_part.cpp mrml_view.cpp loader.cpp mrml_elements.cpp
    mrml_creator.cpp browser.cpp algorithmdialog.cpp collectioncombo.cpp
    algorithmcombo.cpp propertysheet.cpp
  LINK kmrmlstuff-static kparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### mrmlsearch (kdeinit) ######################

tde_add_kdeinit_executable( mrmlsearch AUTOMOC
  SOURCES mrmlsearch.cpp
  LINK kmrmlstuff-static kdecore-shared
)

=== debian/changelog ===
kdegraphics-trinity (4:3.5.13.2-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 07:35:10 +0200

kdegraphics-trinity (4:3.5.10-0ubuntu2) karmic; urgency=low

  * Karmic rebuild number 2

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 14 Dec 2009 02:41:00 -0600

kdegraphics-trinity (4:3.5.10-0ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kdegraphics-trinity (4:3.5.10-0ubuntu1~intrepid7) intrepid; urgency=low

  * Moved colliding pixmaps and manpages to /opt/trinity (closes Bug 67)

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 10 Apr 2009 09:48:00 -0600

kdegraphics-trinity (4:3.5.10-0ubuntu1~intrepid6) intrepid; urgency=low

  * Added rotation feature to KPDF

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 29 Mar 2009 15:41:00 -0600

kdegraphics-trinity (4:3.5.10-0ubuntu1~intrepid5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 27 Feb 2009 22:49:00 -0600

kdegraphics-trinity (4:3.5.10-0ubuntu1~intrepid3) intrepid; urgency=low

  * SVN import

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 24 Nov 2008 14:32:00 -0600

kdegraphics (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump build-dep of kdelibs4-dev to 3.5.10
    - Freshen kubuntu_07_kpdf_category.diff 

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:43:37 -0400

kdegraphics (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:07 +0000

kdegraphics (4:3.5.8-2ubuntu7) hardy; urgency=low

  * patches/kubuntu_07_kpdf_category.diff: Change the category in
    kpdf's .desktop file from "Graphics" to "Office" (LP: #81725).

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sat, 05 Jan 2008 13:41:38 +0100

kdegraphics (4:3.5.8-2ubuntu6) hardy; urgency=low

  * Fix build error with g++-4.3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2008 12:29:58 +0000

kdegraphics (4:3.5.8-2ubuntu5) hardy; urgency=low

  * Rebuild for libopenexr transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Dec 2007 17:33:17 +0000

kdegraphics (4:3.5.8-2ubuntu4) hardy; urgency=low

  * Remove kuickshow depends from kdegraphics-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 27 Nov 2007 10:12:34 +0000

kdegraphics (4:3.5.8-2ubuntu3) hardy; urgency=low

  * Don't build-dep on xpdf-common

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 09:35:05 +0000

kdegraphics (4:3.5.8-2ubuntu2) hardy; urgency=low

  * Merge with Debian, remaining changes in KUBUNTU-DEBIAN-DIFFERENCES

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:32 +0000

kdegraphics (4:3.5.8-2) unstable; urgency=low

  * Patch to multiple xpdf based vulnerabilities. (Closes: #450630)
    CVE-2007-4352, CVE-2007-5392, CVE-2007-5393.
  * Make kdegrahpics binNMU safe. Thanks Lior! (Closes: #448254)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 11 Nov 2007 19:50:13 +0100

kdegraphics (4:3.5.8-1) unstable; urgency=low

  * New upstream release.
  
  +++ Changes by Francesco Pedrini:

  * Added manpage for KFaxview.
  * Removed 20_post-3.5.7-kdegraphics-CVE-2007-3387.diff which was merged
  	upstream.
  * Switched ${Source-Version} to ${source:Version} in debian/control.
  * Added chrpath to Build-Depends for powerpc in order to fix RPATH issue on
    powerpc.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Little fixes in the description in debian/control.

 -- Francesco Pedrini <francesco.pedrini@gmail.com>  Wed, 10 Oct 2007 00:53:17 +0200

kdegraphics (4:3.5.7-4) unstable; urgency=high

  * Patch for stack-based buffer overflow in the StreamPredictor::getNextLine
    function in xpd that might allow remote attackers to execute arbitrary code 
    via a crafted PDF file. CVE-2007-504. (Closes: #444015)

  * Update section in Debian menu files. Thanks to Yann Dirson for
    suggestions. (Closes: #435120)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Sep 2007 11:15:28 +0200

kdegraphics (4:3.5.7-3) unstable; urgency=high

  * Implement use of uploaders.mk and update uploaders.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Patch for vulnerability in xpdf that can cause a stack based buffer
    overflow via a PDF file that exploits an integer overflow in
    StreamPredictor::StreamPredictor(). CVE-2007-3387
  * Some little improvements in the debian/copyright file, GFDL text removed
    and reemplazed by a link to common-licenses.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 23 Jul 2007 22:56:37 +0200

kdegraphics (4:3.5.7-2) unstable; urgency=low

  * Build against new poppler. (Closes: #425605)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 25 May 2007 20:07:32 +0100

kdegraphics (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:21 +0100

kdegraphics (4:3.5.7-1ubuntu6) gutsy; urgency=low

  * debian/patches/kubuntu_05_poppler.diff: Resolved the three remaining
    FIXMEs for porting to current poppler API.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Sep 2007 17:52:11 +0200

kdegraphics (4:3.5.7-1ubuntu5) gutsy; urgency=low

  * Add back updated kubuntu_05_poppler.diff to build with poppler
    instead of internal xpdf copy

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Sep 2007 22:52:20 +0100

kdegraphics (4:3.5.7-1ubuntu4) gutsy; urgency=low

  * Rebuild for the libpoppler1 -> libpopper2 transistion.
  * Munge Maintainer field as per spec.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed,  5 Sep 2007 22:47:49 +1000

kdegraphics (4:3.5.7-1ubuntu3) gutsy; urgency=low

  * SECURITY UPDATE: xpdf buffer overflow


=== debian/control ===
Source: kdegraphics-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Francesco Pedrini <francesco.pedrini@gmail.com>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: imlib11-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 5.0.31), quilt, autotools-dev, gawk, gettext, kdelibs4-trinity-dev (>= 4:3.5.10), libexif-dev (>= 0.6.9-1), libfribidi-dev, freeglut3-dev, libgphoto2-2-dev, libopenexr-dev (>= 1.2.1), libpaper-dev, libpoppler-private-dev | libpoppler-dev (<< 0.18.4-3), libpoppler-dev, libsane-dev (>> 1.0.15), libtiff-dev, libtiff-tools, libusb-dev, sharutils, libxxf86vm-dev, chrpath [powerpc], cmake, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kdegraphics-trinity
Section: kde
Architecture: all
Depends: kamera-trinity (>= ${source:Version}), kcoloredit-trinity (>= ${source:Version}), kdegraphics-kfile-plugins-trinity (>= ${source:Version}), kdvi-trinity (>= ${source:Version}), kfax-trinity (>= ${source:Version}), kfaxview-trinity (>= ${source:Version}), kgamma-trinity (>= ${source:Version}), kghostview-trinity (>= ${source:Version}), kiconedit-trinity (>= ${source:Version}), kmrml-trinity (>= ${source:Version}), kolourpaint-trinity (>= ${source:Version}), kooka-trinity (>= ${source:Version}), kpdf-trinity (>= ${source:Version}), kpovmodeler-trinity (>= ${source:Version}), kruler-trinity (>= ${source:Version}), ksnapshot-trinity (>= ${source:Version}), ksvg-trinity (>= ${source:Version}), kview-trinity (>= ${source:Version}), kviewshell-trinity (>= ${source:Version}), libkscan1-trinity (>= ${source:Version})
Suggests: kdegraphics-trinity-doc-html (>= ${source:Version})
Description: graphics apps from the official Trinity release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of graphics applications
 provided with the official release of Trinity.

Package: kdegraphics-trinity-doc-html
Architecture: all
Section: doc
Suggests: konqueror-trinity | www-browser, kdebase-trinity
Description: KDE graphics documentation in HTML format
 By default the modules provided by KDE only provide their documentation
 in KDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the KDE graphics documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/tde/HTML/<language>/<app>/, for instance
 /usr/share/doc/tde/HTML/en/kamera/. Documentation is provided for most
 KDE graphics packages.
 .
 This package is part of Trinity, and a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kamera-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: digital camera io_slave for Konqueror
 This is a digital camera io_slave for KDE which uses gphoto2 and libgpio
 to allow access to your camera's pictures with the URL camera:/
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kcoloredit-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a color palette editor and color picker for KDE
 This package contains two programs, a color palette editor and also a color
 picker.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kdegraphics-trinity-dev
Section: devel
Architecture: any
Depends: kghostview-trinity (= ${binary:Version}), kmrml-trinity (= ${binary:Version}), kpovmodeler-trinity (= ${binary:Version}), ksvg-trinity (= ${binary:Version}), kview-trinity (= ${binary:Version}), kviewshell-trinity (= ${binary:Version}), kdelibs4-trinity-dev (>= 4:3.5.8)
Description: development files for the KDE graphics module
 This package contains headers and other development files for the KDE
 graphics module.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kdegraphics-kfile-plugins-trinity
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ghostscript
Description: KDE metainfo plugins for graphic files
 This packages provides meta information for graphic files (file sizes,
 tags, etc. all from within the file manager).
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kdvi-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, texlive-fonts-recommended
Suggests: khelpcenter-trinity
Replaces: kdebase-data-trinity (<< 4:3.3.91)
Description: dvi viewer for KDE
 This program and KPart allow the user to display *.DVI files from TeX.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kfax-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, libtiff-tools
Description: G3/G4 fax viewer for Trinity
 A fax viewer for Trinity, supporting the display of raw and tiffed fax images
 (g3, g3-2d, g4).
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kfaxview-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Description: G3/G4 fax viewer for Trinity using kviewshell
 A fax viewer for Trinity, supporting the display of raw and tiffed fax images
 (g3, g3-2d, g4).
 .
 This faxviewer uses kviewshell and is intended to replace the standalone
 kfax application once it reproduces all of kfax's features.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kgamma-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: gamma correction module for the Trinity Control Center
 KGamma is a Trinity Control Center module for gamma calibration/correction
 of XFree86. With proper gamma settings, your display (websites, images,
 etc.) will look the same on your monitor as on other monitors.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.
 .
  Homepage: http://kgamma.berlios.de/index2.php

Package: kghostview-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ghostscript-x
Suggests: khelpcenter-trinity
Provides: postscript-viewer, pdf-viewer
Description: PostScript viewer for Trinity
 KGhostview is Trinity's PostScript viewer. It is a port of Tim Theisen's
 Ghostview program which is used to view documents prepared in Adobe's
 PostScript page description language. PostScript is the major page
 description language for printing on UNIX systems, and this application is
 useful to preview material intended for printing, or for reading documents
 online.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kiconedit-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: an icon editor for Trinity
 KIconedit allows you easily to create and edit icons.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kmrml-trinity
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Recommends: gnuift
Description: a Konqueror plugin for searching pictures
 MRML is short for Multimedia Retrieval Markup Language, which defines a
 protocol for querying a server for images based on their content. See 
 http://www.mrml.net about MRML and the GNU Image Finding Tool (GIFT), an 
 MRML server.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kolourpaint-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Description: a simple paint program for Trinity
 KolourPaint is a very simple paint program for Trinity. It aims to be
 conceptually simple to understand; providing a level of functionality
 targeted towards the average user. It's designed for daily tasks like:
 .
  * Painting - drawing diagrams and "finger painting" 
  * Image Manipulation - editing screenshots and photos; applying effects 
  * Icon Editing - drawing clipart and logos with transparency 
 .
 It's not an unusable and monolithic program where simple tasks like
 drawing lines become near impossible. Nor is it so simple that it lacks
 essential features like Undo/Redo.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.
 .
  Homepage: http://kolourpaint.sourceforge.net

Package: kooka-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ocrad | gocr
Suggests: khelpcenter-trinity
Description: scanner program for Trinity
 Kooka is an open source GNU/Linux scan program based on SANE and
 KScan library.
 .
 Kooka helps you to handle the most important scan parameters, find the
 correct image file format to save and manage your scanned images. It
 offers support for different OCR modules. Libkscan, a autonomous part
 of Kooka, provides a scan service for easy and consistent use to all
 KDE applications.
 .
 Install ocrad or gocr if you wish to enable optical character recognition
 in kooka.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.
 .
  Homepage: http://kooka.kde.org/

Package: kpdf-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Recommends: kghostview-trinity (= ${binary:Version})
Suggests: khelpcenter-trinity
Provides: pdf-viewer
Description: PDF viewer for Trinity
 KPDF allows you to view PDF (Portable Document Format) files. This package
 includes kpdfpart so you can embed in konqueror or run as a standalone
 application.
 .
 This package is part of Trinity, as a component of the KDE graphics module.
 See the 'kde-trinity' and 'kdegraphics-trinity' packages for more information.

Package: kpovmodeler-trinity
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity, povray
Description: a graphical editor for povray scenes
 KPovmodeler is KDE's graphical editor for povray scenes. KPovModeler is a
 modeling and composition program for creating POV-Ray scenes in KDE.
 .
 For most modelers, POV-Ray is nothing but a rendering engine. This greatly
 limits the innate possibilities of the POV-Ray scripted language. This
 is not the case for KPovModeler, which allows you to use all the features
 of POV-Ray through the translation of POV-Ray language into a graphical
 tree.
 .
 kpovmodeler uses the povray package, currently available only in Debian's
 non-free, unsupported repository.
 .

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CMAKE_EXTRA_FLAGS := -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
-DWITH_TIFF="ON" -DWITH_OPENEXR="ON" -DWITH_PDF="ON" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

DEB_DH_STRIP_ARGS  := --dbg-package=kdegraphics-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

PACKAGES_WITH_LIBS := kfaxview-trinity kghostview-trinity kmrml-trinity kpovmodeler-trinity ksvg-trinity \
			kuickshow-trinity kview-trinity kviewshell-trinity libkscan1-trinity

DEB_DH_MAKESHLIBS_ARGS_kghostview-trinity	:= -V'kghostview-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_kpovmodeler-trinity	:= -V'kpovmodeler-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_ksvg-trinity	:= -V'ksvg-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_kview-trinity	:= -V'kview-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_kviewshell-trinity	:= -V'kviewshell-trinity (>= 4:3.5.5-1)'
DEB_DH_MAKESHLIBS_ARGS_libkscan1-trinity	:= -V'libkscan1-trinity (>= 4:3.5.5-1)'

binary-post-install/kuickshow-trinity::
ifeq ($(DEB_HOST_ARCH), powerpc)
	chrpath -d -k debian/kuickshow-trinity/opt/trinity/lib/libkdeinit_kuickshow.so
endif

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

kuickshow-trinity-tar:
	mkdir ../kuickshow-trinity-3.5.8
	cp -f * ../kuickshow-trinity-3.5.8 || true
	mkdir ../kuickshow-trinity-3.5.8/doc
	cp doc/Makefile.am ../kuickshow-trinity-3.5.8/doc
	cp -r doc/kuickshow ../kuickshow-trinity-3.5.8/doc
	cp -r kuickshow ../kuickshow-trinity-3.5.8
	cp -r admin ../kuickshow-trinity-3.5.8
	cd ../kuickshow-trinity-3.5.8; make -f admin/Makefile.common dist
	cd ..; tar zcf kuickshow-trinity_3.5.8.orig.tar.gz kuickshow-trinity-3.5.8

binary-post-install/kpdf-trinity::
	#cp -Rp debian/kpdf-trinity/usr/* debian/kpdf-trinity/opt/trinity/
	#rm -rf debian/kpdf-trinity/usr/
	mv debian/kpdf-trinity/usr/share/man debian/kpdf-trinity/opt/trinity/share/

binary-post-install/kghostview-trinity::
	#cp -Rp debian/kghostview-trinity/usr/* debian/kghostview-trinity/opt/trinity/
	#rm -rf debian/kghostview-trinity/usr/
	mv debian/kghostview-trinity/usr/share/man debian/kghostview-trinity/opt/trinity/share/

binary-post-install/kcolorchooser-trinity::
	#cp -Rp debian/kcolorchooser-trinity/usr/* debian/kcolorchooser-trinity/opt/trinity/
	#rm -rf debian/kcolorchooser-trinity/usr/
	mv debian/kcolorchooser-trinity/usr/share/man debian/kcolorchooser-trinity/opt/trinity/share/

binary-post-install/kdvi-trinity::
	#cp -Rp debian/kdvi-trinity/usr/* debian/kdvi-trinity/opt/trinity/
	#rm -rf debian/kdvi-trinity/usr/
	mv debian/kdvi-trinity/usr/share/man debian/kdvi-trinity/opt/trinity/share/

binary-post-install/kfaxview-trinity::
	#cp -Rp debian/kfaxview-trinity/usr/* debian/kfaxview-trinity/opt/trinity/
	#rm -rf debian/kfaxview-trinity/usr/	
	mv debian/kfaxview-trinity/usr/share/man debian/kfaxview-trinity/opt/trinity/share/

binary-post-install/kiconedit-trinity::
	#cp -Rp debian/kiconedit-trinity/usr/* debian/kiconedit-trinity/opt/trinity/
	#rm -rf debian/kiconedit-trinity/usr/	
	mv debian/kiconedit-trinity/usr/share/man debian/kiconedit-trinity/opt/trinity/share/

binary-post-install/kooka-trinity::
	#cp -Rp debian/kooka-trinity/usr/* debian/kooka-trinity/opt/trinity/
	#rm -rf debian/kooka-trinity/usr/
	mv debian/kooka-trinity/usr/share/man debian/kooka-trinity/opt/trinity/share/

binary-post-install/kpovmodeler-trinity::
	#cp -Rp debian/kpovmodeler-trinity/usr/* debian/kpovmodeler-trinity/opt/trinity/
	#rm -rf debian/kpovmodeler-trinity/usr/
	mv debian/kpovmodeler-trinity/usr/share/man debian/kpovmodeler-trinity/opt/trinity/share/

binary-post-install/ksnapshot-trinity::
	#cp -Rp debian/ksnapshot-trinity/usr/* debian/ksnapshot-trinity/opt/trinity/
	#rm -rf debian/ksnapshot-trinity/usr/
	mv debian/ksnapshot-trinity/usr/share/man debian/ksnapshot-trinity/opt/trinity/share/

binary-post-install/kview-trinity::
	#cp -Rp debian/kview-trinity/usr/* debian/kview-trinity/opt/trinity/
	#rm -rf debian/kview-trinity/usr/
	mv debian/kview-trinity/usr/share/man debian/kview-trinity/opt/trinity/share/

binary-post-install/kcoloredit-trinity::
	#cp -Rp debian/kcoloredit-trinity/usr/* debian/kcoloredit-trinity/opt/trinity/
	#rm -rf debian/kcoloredit-trinity/usr/
	mv debian/kcoloredit-trinity/usr/share/man debian/kcoloredit-trinity/opt/trinity/share/

binary-post-install/kfax-trinity::
	#cp -Rp debian/kfax-trinity/usr/* debian/kfax-trinity/opt/trinity/
	#rm -rf debian/kfax-trinity/usr/
	mv debian/kfax-trinity/usr/share/man debian/kfax-trinity/opt/trinity/share/

binary-post-install/kolourpaint-trinity::
	#cp -Rp debian/kolourpaint-trinity/usr/* debian/kolourpaint-trinity/opt/trinity/
	#rm -rf debian/kolourpaint-trinity/usr/
	mv debian/kolourpaint-trinity/usr/share/man debian/kolourpaint-trinity/opt/trinity/share/

binary-post-install/kruler-trinity::
	#cp -Rp debian/kruler-trinity/usr/* debian/kruler-trinity/opt/trinity/
	#rm -rf debian/kruler-trinity/usr/
	mv debian/kruler-trinity/usr/share/man debian/kruler-trinity/opt/trinity/share/

binary-post-install/kuickshow-trinity::
	#cp -Rp debian/kuickshow-trinity/usr/* debian/kuickshow-trinity/opt/trinity/
	#rm -rf debian/kuickshow-trinity/usr/
	mv debian/kuickshow-trinity/usr/share/man debian/kuickshow-trinity/opt/trinity/share/

binary-post-install/kviewshell-trinity::
	#cp -Rp debian/kviewshell-trinity/usr/* debian/kviewshell-trinity/opt/trinity/
	#rm -rf debian/kviewshell-trinity/usr/
	mv debian/kviewshell-trinity/usr/share/man debian/kviewshell-trinity/opt/trinity/share/
